# en.pm - The Object Class that provides a English Language Object
# Created by James Pattie & Jason A. Pattie, 11/07/2000.
#$Id: en.pm,v 1.138 2006/05/31 20:36:51 moreejt Exp $
#This package is released under the GNU General Public License.
#You should have recieved a copy of the GPL with it.
# Copyright (c) 2000 HLR http://www.pcxperience.org  All rights reserved.

package Portal::Accounting::Language::en;
use strict;
use Portal::LanguageBase;
use vars qw($AUTOLOAD $VERSION @ISA @EXPORT);

require Exporter;

@ISA = qw(Portal::LanguageBase Exporter AutoLoader);
@EXPORT = qw();

$VERSION = '$Revision: 1.138 $';

# The Phrases/words should be in the same case as the output should be for ex.
#$phrases{Accrual} = "Accrual";
#$phrases{accrual} = "accrual";
# spaces can be replaced with underscores in short phrases
#long phrases should be given a shortkeyphrase and placed in the lower section

my %phrases;
%phrases = ();

#short phrases
$phrases{account} = "account";
$phrases{Account} = "Account";
$phrases{'Account/Stock/Lot'} = "Account/Stock/Lot";
$phrases{accounts} = "accounts";
$phrases{Accounts} = "Accounts";
$phrases{'Accounts cannot be the same'} = "Accounts cannot be the same";
$phrases{Accrual} = "Accrual";
$phrases{Active} = "Active";
$phrases{Adjustment} = "Adjustment";
$phrases{'Add Row'} = "Add Row";
$phrases{'Additions to Tax'} = "Additions to Tax";
$phrases{'Administrative Expense'} = "Administrative Expense";
$phrases{'Advanced'} = "Advanced";
$phrases{'Advanced Earned Income Credit'} = "Advanced Earned Income Credit";
$phrases{ALL} = "ALL";
$phrases{'All Accounts'} = "All Accounts";
$phrases{'Allow Recall'} = "Allow Recall";
$phrases{Amex} = "Amex";
$phrases{Amount} = "Amount";
$phrases{Amounts} = "Amounts";
$phrases{'and'} = "and";
$phrases{acquires} = "acquires";
$phrases{asset} = "asset";
$phrases{Asset} = "Asset";
$phrases{Assets} = "Assets";
$phrases{Assign} = "Assign";
$phrases{'Assign Accounts'} = "Assign Accounts";
$phrases{AssignAllTickers} = "Assign All Tickers";
$phrases{Auto} = "Auto";
$phrases{Autofill} = "Autofill";
$phrases{Automark} = "Automark";
$phrases{Available} = "Available";
$phrases{Backup} = "Backup";
$phrases{Balance} = "Balance";
$phrases{'Balance Due'} = "Balance Due";
$phrases{'Balance Sheet'} = "Balance Sheet";
$phrases{Bank} = "Bank";
$phrases{Bank_Account_Summary} = "Bank Account Summary";
$phrases{Basis} = "Basis";
$phrases{Begin} = "Begin";
$phrases{'Begin Statement Balance'} = "Begin Statement Balance";
$phrases{Begins_on} = "Begins on";
$phrases{between} = "between";
$phrases{Bond} = "Bond";
$phrases{Bonds} = "Bonds";
$phrases{Book} = "Book";
$phrases{'Book Balance'} = "Book Balance";
$phrases{'Business Type'} = "Business Type";
$phrases{Buy} = "Buy";
$phrases{Calculation} = "Calculation";
$phrases{Cancel} = "Cancel";
$phrases{'Cannot Delete'} = "Cannot Delete";
$phrases{'Capital Gain'} = "Capital Gain";
$phrases{'Capital Gains/Losses'} = "Capital Gains/Losses";
$phrases{'Capital Loss'} = "Capital Loss";
$phrases{Cash} = "Cash";
$phrases{'Cash Purchases'} = "Cash Purchases";
$phrases{'Cash Receipts'} = "Cash Receipts";
$phrases{'Cash-Bank Acct'} = "Cash-Bank Acct";
$phrases{CD} = "CD";
$phrases{Check} = "Check";
$phrases{Checkbook} = "Checkbook";
$phrases{Chk} = "Chk";
$phrases{'Cash Balance'} = "Cash Balance";
$phrases{'Cash Flow'} = "Cash Flow";
$phrases{Change} = "Change";
$phrases{'Chart'} = "Chart";
$phrases{'Chart of Accounts'} = "Chart of Accounts";
$phrases{'Choose Register'} = "Choose Register";
$phrases{'Chosen Cost'} = "Chosen Cost";
$phrases{Cld} = "Cld";
$phrases{'Clear All'} = "Clear All";
$phrases{Cleared} = "Cleared";
$phrases{Client} = "Client";
$phrases{'Close Books'} = "Close Books";
$phrases{'Close Out'} = "Close Out";
$phrases{close} = "close";
$phrases{Close} = "Close";
$phrases{'Close Window'} = "Close Window";
$phrases{code} = "code";
$phrases{Code} = "Code";
$phrases{'Collect Data'} = "Collect Data";
$phrases{Color} = "Color";
$phrases{comment} = "comment";
$phrases{Commission} = "Commission";
$phrases{'Common Accounts'} = "Common Accounts";
$phrases{Company} = "Company";
$phrases{Comment} = "Comment";
$phrases{"Corporation"} = "Corporation";
$phrases{Configuration} = "Configuration";
$phrases{'Confirm Deletes'} = "Confirm Deletes";
$phrases{'CoGS Expense'} = "Cost of Goods Sold Expense";
$phrases{'Compensation Deduction'} = "Compensation Deduction";
$phrases{'Config Menu'} = "Config Menu";
$phrases{'Confirm Delete'} = "Confirm Delete";
$phrases{'Contra Asset'} = "Contra Asset";
$phrases{'Copy Report'} = "Copy Report";
$phrases{'Corporate Dividends Paid'} = "Corporate Dividends Paid";
$phrases{cost} = "cost";
$phrases{'Cost/Share'} = "Cost/ Share";
$phrases{create} = "create";
$phrases{Create} = "Create";
$phrases{'Create New Ledger'} = "Create New Ledger";
$phrases{'Create Account'} = "Create Account";
$phrases{'Create Report'} = "Create Report";
$phrases{'Create Watchlist'} = "Create Watchlist";
$phrases{created} = "created";
$phrases{Credit} = "Credit";
$phrases{Credits} = "Credits";
$phrases{'Credit Purchase'} = "Credit Purchase";
$phrases{'Credit Receipt'} = "Credit Receipt";
$phrases{'Current Account'} = "Current Account";
$phrases{'Current Asset'} = "Current Asset";
$phrases{'Current Liability'} = "Current Liability";
$phrases{date} = "date";
$phrases{Date} = "Date";
$phrases{day} = "day";
$phrases{Day} = "Day";
$phrases{Debit} = "Debit";
$phrases{Debits} = "Debits";
$phrases{'delete'} = "delete";
$phrases{Delete} = "Delete";
$phrases{'Delete journal entry'} = "Delete journal entry";
$phrases{'Delete Report'} = "Delete Report";
$phrases{'Delete Sub Account'} = "Delete Sub Account";
$phrases{'Delete Sub Entity'} = "Delete Sub Entity";
$phrases{'Delete Watchlist'} = "Delete Watchlist";
$phrases{'Demo Data'} = "Demo Data";
$phrases{Departments} = "Departments";
$phrases{'Depreciation/Depletion'} = "Depreciation/Depletion";
$phrases{Dep} = "Dep";
$phrases{Deposit} = "Deposit";
$phrases{Detail} = "Detail";
$phrases{'Difference between statement and calculations'} = "Difference between statement and calculations";
$phrases{'Dividend Revenue'} = "Dividend Revenue";
$phrases{'Does not match'} = "Does not match";
$phrases{'Double Entry'} = "Double Entry";
$phrases{edit} = "edit";
$phrases{Edit} = "Edit";
$phrases{'Edit Account'} = "Edit Account";
$phrases{'Edit Ledger Properties'} = "Edit Ledger Properties";
$phrases{'Edit List'} = "Edit List";
$phrases{'Edit Report'} = "Edit Report";
$phrases{'Edit Sub Account'} = "Edit Sub Account";
$phrases{'Edit Sub Entity'} = "Edit Sub Entity";
$phrases{'Edit Watchlist'} = "Edit Watchlist";
$phrases{emails} = "e-mails";
$phrases{Emails} = "E-mails";
$phrases{Employee} = "Employee";
$phrases{Employees} = "Employees";
$phrases{End} = "End";
$phrases{'End Date'} = "End Date";
$phrases{'Ends on'} = "Ends on";
$phrases{'End Statement Balance'} = "End Statement Balance";
$phrases{'Enter Transactions'} = "Enter Transactions";
$phrases{entry} = "entry";
$phrases{Entry} = "Entry";
$phrases{Error} = "Error";
$phrases{Equity} = "Equity";
$phrases{Event} = "Event";
$phrases{'Exact Match'} = "Exact Match";
$phrases{execute} = "execute";
$phrases{Execute} = "Execute";
$phrases{Expense} = "Expense";
$phrases{Failed} = "Failed";
$phrases{'Federal Allowances'} = "Federal Allowances";
$phrases{'Federal Extra Withholdings'} = "Federal Extra Withholdings";
$phrases{'Federal Inc Tax Liability'} = "Federal Income Tax Liability";
$phrases{'Federal 941 Deposit'} = "Federal 941 Deposit";
$phrases{'Federal Tax ID'} = "Federal Tax ID";
$phrases{Fee} = "Fee";
$phrases{'FICA Expense'} = "FICA Expense";
$phrases{'FICA Liability'} = "FICA Liability";
$phrases{Finished} = "Finished";
$phrases{'Fiscal Year'} = "Fiscal Year";
$phrases{'Fixed Asset'} = "Fixed Asset";
$phrases{'for'} = "for";
$phrases{'for every'} = "for every";
$phrases{'Format'} = "Format";
$phrases{Forward} = "Forward";
$phrases{found} = "found";
$phrases{Found} = "Found";
$phrases{From} = "From";
$phrases{'G/L'} = "G/L";
$phrases{'Gain/Loss'} = "Gain/Loss";
$phrases{'General'} = "General";
$phrases{'General Ledger'} = "General Ledger";
$phrases{go} = "go";
$phrases{Go} = "Go";
$phrases{Grouping} = "Grouping";
$phrases{help} = "help";
$phrases{Help} = "Help";
$phrases{here} = "here";
$phrases{Hide} = "Hide";
$phrases{'Hide Inactive'} = "Hide Inactive";
$phrases{Historical} = "Historical";
$phrases{Id} = "Id";
$phrases{in} = "in";
$phrases{inClientMode} = "In Client Mode.\n";
$phrases{'Include'} = "Include";
$phrases{'Include In Short List'} = "Include In Short List";
$phrases{'Income Tax'} = "Income Tax";
$phrases{"Individual"} = "Individual";
$phrases{Industry} = "Industry";
$phrases{'Initials'} = 'Initials';
$phrases{'Initial Balances'} = 'Initial Balances';
$phrases{inNormalMode} = "In Normal Mode.\n";
$phrases{Insert} = "Insert";
$phrases{'Interest'} = "Interest";
$phrases{'Interest Expense'} = "Interest Expense";
$phrases{'Interest Revenue'} = "Interest Revenue";
$phrases{interval} = "interval";
$phrases{Interval} = "Interval";
$phrases{'Invalid Account'} = "Invalid Account";
$phrases{'Invalid Date'} = "Invalid Date";
$phrases{'Invalid Page'} = "Invalid Page";
$phrases{InvalidWatchListName} = "Invalid Watch List name (%s)!";
$phrases{invalidPassword} = "Password is invalid!";
$phrases{Inventory} = "Inventory";
$phrases{'Investment Accounts'} = "Investment Accounts";
$phrases{'Investment Journal'} = "Investment Journal";
$phrases{Investment} = "Investment";
$phrases{'Investment Expense'} = "Investment Expense";
$phrases{Investments} = "Investments";
$phrases{Jnl} = "Jnl";
$phrases{Journal} = "Journal";
$phrases{Journals} = "Journals";
$phrases{Label} = "Label";
$phrases{Last} = "Last";
$phrases{'Last Close Out'} = "Last Close Out";
$phrases{LedgerCode} = "Ledger Code";
$phrases{LedgerColor} = "Ledger Color";
$phrases{ledger} = "ledger";
$phrases{Ledger} = "Ledger";
$phrases{'Ledger Code'} = "Ledger Code";
$phrases{'Ledger Name'} = "Ledger Name";
$phrases{'Ledger Required'} = "Ledger Required";
$phrases{Ledgers} = "Ledgers";
$phrases{'Ledger Summary'} = "Ledger Summary";
$phrases{Liability} = "Liability";
$phrases{"Limited Liability Co"} = "Limited Liability Co";
$phrases{links} = "links";
$phrases{"Lock Application"} = "Lock Application";
$phrases{login} = "login";
$phrases{Login} = "Login";
$phrases{logout} = "logout";
$phrases{Logout} = "Logout";
$phrases{Lot} = "Lot";
$phrases{'Long Term Gain'} = "Long Term Gain";
$phrases{'Long Term Liability'} = "Long Term Liability";
$phrases{'Long Term Liquid Asset'} = "Long Term Liquid Asset";
$phrases{MailType} = "Mail Type";
$phrases{MailServer} = "Mail Server";
$phrases{'Main Menu'} = "Main Menu";
$phrases{maintainStocks} = "Maintain Stocks";
$phrases{Manage} = "Manage";
$phrases{'Manage Sub Accounts'} = "Manage Sub Accounts";
$phrases{'Manual'} = "Manual";
$phrases{'Manual Price'} = "Manual Price";
$phrases{Mark} = "Mark";
$phrases{Market} = "Market";
$phrases{Married} = "Married";
$phrases{'Mkt Value'} = "Mkt Value";
$phrases{'Medicare Expense'} = "Medicare Expense";
$phrases{'Medicare Liability'} = "Medicare Liability";
$phrases{Memo} = "Memo";
$phrases{Merger} = "Merger";
$phrases{'minimumRows'} = "The number of rows is less than the minimum of";
$phrases{'Missouri 941'} = "Missouri 941";
$phrases{'Mkt Val'} = "Mkt Val";
$phrases{monitor} = "monitor";
$phrases{Monitor} = "Monitor";
$phrases{month} = "month";
$phrases{Month} = "Month";
$phrases{'Most Used Accounts'} = "Most Used Accounts";
$phrases{Name} = "Name";
$phrases{name} = "name";
$phrases{Nasdaq} = "Nasdaq";
$phrases{Never} = "Never";
$phrases{New} = "New";
$phrases{'New Account'} = "New Account";
$phrases{'New Frame'} = "New Frame";
$phrases{'New Investment'} = "New Investment";
$phrases{'New Investment Transactions'} = "New Investment Transactions";
$phrases{'new lot'} = "new lot";
$phrases{'New Sub Account'} = "New Sub Account";
$phrases{'New Sub Entity'} = "New Sub Entity";
$phrases{New_Window} = "New Window";
$phrases{noEntriesFound} = "No Entries found";
$phrases{None} = "None";
$phrases{Notes} = "Notes";
$phrases{Normal} = "Normal";
$phrases{'Normal Gross Pay'} = "Normal Gross Pay";
$phrases{'No Watchlists defined'} = "No Watchlists defined";
$phrases{NYSE} = "NYSE";
$phrases{of} = "of";
$phrases{'Open Books'} = "Open Books";
$phrases{'Opening Balances'} = "Opening Balances";
$phrases{Open} = "Open";
$phrases{'Operating Revenue'} = "Operating Revenue";
$phrases{'Operating Expense'} = "Operating Expense";
$phrases{operator} = "operator";
$phrases{Operator} = "Operator";
$phrases{Optional} = "Optional";
$phrases{Options} = "Options";
$phrases{"Order By"} = "Order By";
$phrases{Other} = "Other";
$phrases{'Other Revenue'} = "Other Revenue";
$phrases{'Other Expense'} = "Other Expense";
$phrases{'Other Payroll Expense'} = "Other Payroll Expense";
$phrases{'Outstanding'} = "Outstanding";
$phrases{'Outstanding Transactions'} = "Outstanding Transactions";
$phrases{'Overpayment'} = "Overpayment";
$phrases{'Page'} = "Page";
$phrases{'Paginate after'} = "Paginate after";
$phrases{Partner} = "Partner";
$phrases{'Partner/Stockholder'} = "Partner/Stockholder";
$phrases{"Partnership"} = "Partnership";
$phrases{password} = "password";
$phrases{'Pay to the order of'} = "Pay to the order of";
$phrases{Payee} = "Payee";
$phrases{Payroll} = "Payroll";
$phrases{Password} = "Password";
$phrases{"Period End Date"} = "Period End Date";
$phrases{"Period Start Date"} = "Period Start Date";
$phrases{"per page"} = "per page";
$phrases{"Per Share"} = "Per Share";
$phrases{percentChange} = "%";
$phrases{'Please Wait'} = "Please Wait";
$phrases{Portfolio} = "Portfolio";
$phrases{'Post Upgrade'} = "Post Upgrade";
$phrases{Power_Search} = "Power Search";
$phrases{Preferences} = "Preferences";
$phrases{Price} = "Price";
$phrases{print} = "print";
$phrases{Print} = "Print";
$phrases{Proceeds} = "Proceeds";
$phrases{"Profit and Loss"} = "Profit and Loss";
$phrases{"Public/Private Stocks"} = "Public/Private Stocks";
$phrases{'Purchased'} = "Purchased";
$phrases{Quarter} = "Quarter";
$phrases{Quick_Search} = "Quick Search";
$phrases{R} = "R";
$phrases{Receivable} = "Receivable";
$phrases{Reconcile} = "Reconcile";
$phrases{'records modified'} = "records modified";
$phrases{'records updated'} = "records updated";
$phrases{refresh} = "refresh";
$phrases{Refresh} = "Refresh";
$phrases{Register} = "Register";
$phrases{Registers} = "Registers";
$phrases{Remembered} = "Remembered";
$phrases{'Report Editor'} = "Report Editor";
$phrases{Reports} = "Reports";
$phrases{'Reserved Type'} = "Reserved Type";
$phrases{reset} = "reset";
$phrases{Reset} = "Reset";
$phrases{'Restore Database'} = "Restore Database";
$phrases{ReturnOfCapital} = "Return of Capital";
$phrases{Revenue} = "Revenue";
$phrases{rightClick} = 'Functions in the right click menu can be dangerous to your data in this application.\nAre you sure you want this menu?';
$phrases{run} = "run";
$phrases{Run} = "Run";
$phrases{'Salary Expense'} = "Salary Expense";
$phrases{'Sales Revenue'} = "Sales Revenue";
$phrases{Save} = "Save";
$phrases{'Save Account'} = "Save Account";
$phrases{'Save Investment Transaction'} = "Save Investment Transaction";
$phrases{'Save Sub Account'} = "Save Sub Account";
$phrases{'Save Ledger Properties'} = "Save Ledger Properties";
$phrases{'Save Sub Entity'} = "Save Sub Entity";
$phrases{SE} = "SE";  #short for subEntity
$phrases{Search} = "Search";
$phrases{'Search Journals'} = "Search Journals";
$phrases{'select all'} = "select all";
$phrases{'Select All'} = "Select All";
$phrases{'Select Lots'} = "Select Lots";
$phrases{Select} = "Select";
$phrases{Share} = "Share";
$phrases{Shares} = "Shares";
$phrases{'Shares Avail'} = "Shares Avail";
$phrases{'Show InActive'} = "Show InActive";
$phrases{'Show accounts by'} = "Show accounts by";
$phrases{'Show Options'} = "Show Options";
$phrases{'Show subaccounts by'} = "Show subaccounts by";
$phrases{'Sold'} = "Sold";
$phrases{"Sole Proprietorship"} = "Sole Proprietorship";
$phrases{Sort} = "Sort";
$phrases{SpinOff} = "Spin Off";
$phrases{'spins off'} = "spins off";
$phrases{'sql search operator'} = "sql search operator";
$phrases{Stakeholder} = "Stakeholder";
$phrases{'State Allowances'} = "State Allowances";
$phrases{'State Extra Withholdings'} = "State Extra Withholdings";
$phrases{'State Inc Tax Liability'} = "State Income Tax Liability";
$phrases{'State Tax ID'} = "State Tax ID";
$phrases{Statement} = "Statement";
$phrases{Start} = "Start";
$phrases{'Start Date'} = "Start Date";
$phrases{Stock} = "Stock";
$phrases{Stockholder} = "Stockholder";
$phrases{'Stock Prices'} = "Stock Prices";
$phrases{'Stock Quotes'} = "Stock Quotes";
$phrases{'Stock Transactions'} = "Stock Transactions";
$phrases{StockTransfer} = "Stock Transfer";
$phrases{stocks} = "stocks";
$phrases{Stocks} = "Stocks";
$phrases{'Sub Entity'} = "Sub Entity";
$phrases{'Sub Entities'} = "Sub Entities";
$phrases{'Sub Account'} = "Sub Account";
$phrases{'SA'} = "SA"; #short for sub account
$phrases{'Sub Accounts'} = "Sub Accounts";
$phrases{Submit} = "Submit";
$phrases{Success} = "Success";
$phrases{successfully} = "successfully";
$phrases{SHORT} = "SHORT";
$phrases{StockSplit} = "Stock Split";
$phrases{Summary} = "Summary";
$phrases{Subtitle} = "Subtitle";
$phrases{Supplier} = "Supplier";
$phrases{Symbol} = "Symbol";
$phrases{System} = "System";
$phrases{Taxable} = "Taxable";
$phrases{Type} = "Type";
$phrases{title} = "XIWA %s - %s";
$phrases{To} = "To";
$phrases{'to begin working'} = "to begin working";
$phrases{toCreateStocks} = "to create Stocks.";
$phrases{toMaintainStocks} = "to maintain Stocks.";
$phrases{Total} = "Total";
$phrases{'Total after Commission'} = "Total after Commission";
$phrases{'Total Amount Due'} = "Total Amount Due";
$phrases{'Total Cost'} = "Total Cost";
$phrases{'Total Gain/Loss'} = "Total Gain/Loss";
$phrases{'Total Proceeds'} = "Total Proceeds";
$phrases{totalCost} = "Cost";
$phrases{totalShares} = "Shares";
$phrases{Ticker} = "Ticker";
$phrases{"Trust"} = "Trust";
$phrases{Transaction} = "Transaction";
$phrases{'Transaction Reports'} = "Transaction Reports";
$phrases{Transactions} = "Transactions";
$phrases{Transfer} = "Transfer";
$phrases{Transfers} = "Transfers";
$phrases{Unassigned} = "Unassigned";
$phrases{unAssignAllTickers} = "Un-assign All Tickers";
$phrases{"Unlock Application"} = "Unlock Application";
$phrases{'un-select All'} = "un-select all";
$phrases{'Un-Select All'} = "Un-Select All";
$phrases{unSelect} = "un-Select";
$phrases{UnSelect} = "Un-Select";
$phrases{updated} = "updated";
$phrases{Update} = "Update";
$phrases{'Update Month Starts'} = "Update Month Starts";
$phrases{'Upgrade'} = "Upgrade";
$phrases{'Upgrade Database'} = "Upgrade Database";
$phrases{'Upgrade Finished'} = "Upgrade Finished";
$phrases{users} = "users";
$phrases{Users} = "Users";
$phrases{Value} = "Value";
$phrases{volumeTraded} = "Vol(M)";
$phrases{View} = "View";
$phrases{'View Events'} = "View Events";
$phrases{Warning} = "Warning";
$phrases{Watchlist} = "Watchlist";
$phrases{Watchlists} = "Watchlists";
$phrases{watchedStocks} = "Watched Stocks";
$phrases{week} = "week";
$phrases{'When creating new rows'} = "When creating new rows";
$phrases{'Whole numbers only'} = "Whole numbers only";
$phrases{With} = "With";
$phrases{'Withholding This Period'} = "Withholding This Period";
$phrases{xiwa} = "xiwa";
$phrases{Year} = "Year";

#long phrases
#941 payroll
$phrases{'941c'} = "Attach From 941c";
$phrases{'Actual taxes withheld'} = "Actual taxes withheld";
$phrases{aeic} = "Advance earned income credit (EIC) payments made to employees";
$phrases{answerThese} = "Answer these questions for this quarter";
$phrases{'Excessive Difference'} = "Excessive Difference";
$phrases{fractions} = "Current quarter's fractions of cents";
$phrases{'Federal 941'} = "Federal 941";
$phrases{incTax} = "Current year's income tax withholding";
$phrases{lifeInsur} = "Current quarter's adjustments for tips and group-term life insurance";
$phrases{line10} = 'Line 10 is less than $2,500';
$phrases{MedicareWagesTips} = "Taxable Medicare wages and tips:";
$phrases{mustEqual10} = "Must equal line 10";
$phrases{monthlyDepositor} = "You were a monthly schedule depositor for the entire quarter. Fill out your tax liability for each month";
$phrases{NoSSMedTax} = "If no wages, tips, and other compensation are subject to social security or Medicare tax";
$phrases{NoFedData} = 'No federal deposit data found for year/month';
$phrases{numEmployees} = "Number of employees who recieved wages, tips, or other compensation for the pay period including: Mar. 12 (Quarter 1), June 12 (Quarter 2), Sept. 12 (Quarter 3), Dec. 12 (Quarter 4)";
$phrases{'reserved use'} = "reserved use";
$phrases{sickPay} = "Current quarter's sick pay";
$phrases{specialFed} = "Special additions to federal income tax";
$phrases{specialSS} = "Special additions to social security and Medicare";
$phrases{ssMedicare} = "Prior quarters' social security and Medicare taxes";
$phrases{SSMedicareWagesTips} = "Taxable social security and Medicare wages and tips:";
$phrases{SSTips} = "Taxable social security tips";
$phrases{SSWages} = "Taxable social security wages";
$phrases{stateAbbreviation} = "Write the sate abbreviation for the state where you made your deposits OR write MU if you made your deposits in <i>multiple</i> states";
$phrases{'Tax adjustments'} = "Tax adjustments";
$phrases{'Tax Liability'} = "Tax Liability";
$phrases{TaxesAfter} = "Total taxes after adjustments";
$phrases{TellUsDeposits} = "Tell us about your deposit schedule for this quarter";
$phrases{'ToPart3'} = "Go to part 3";
$phrases{totalAfterAEIC} = "Total taxes after adjustment to advance EIC";
$phrases{totalDeposits} = "Total deposits for this quarter, including overpayment applied from a prior quarter";
$phrases{TotalIncTax} = "Total income tax withheld from wages, tips, and other compensation";
$phrases{TotalSSMedicare} = "Total social security and Medicare taxes";
$phrases{'Total taxes before adjustments'} = "Total taxes before adjustments";
$phrases{wagesTipsOther} = "Wages, tips, and other compensation";
$phrases{'Total adjustments'} = "Total adjustments";

#Journals.js
$phrases{'acctWarning'} = "No accounts are assigned.  There may not be any created accounts yet.";
$phrases{'account0Warning'} = "You must choose an Account for this transaction.";
$phrases{'Activating'} = "Activating";
$phrases{'already exists'} = "already exists";
$phrases{'areUsure'} = "Are you sure?";
$phrases{'Code'} = "Code";
$phrases{'codePrompt'} = "What should be the code?";
$phrases{'Create SubEntity'} = "Create SubEntity";
$phrases{'Delete all rows?'} = "Delete all rows?";
$phrases{'Delete row'} = "Delete row";
$phrases{'differentJournal'} = "This transaction is for a different journal.  You must use that journal to edit. (It may also be possible to use the Double Entry journal.)";
$phrases{'differentLedger'} = "This transaction is for a different set of books (ledger).  You cannot edit it in this set of books.";
$phrases{'for this session'} = "for this session";
$phrases{'is inactive'} = "This already exists but is not active for this ledger.  It will be activated now.";
$phrases{'journalChange'} = "Warning!  This transaction belongs to a different journal.  If you save this entry it will change the corresponding journal to the current one.";
$phrases{'Invalid'} = "Invalid";
$phrases{'MetaPrompt'} = "What is the meta type? (1 => asset, 2 => liability, 3 => equity, 4 => revenue, 5 => expense)";
$phrases{'Name'} = "Name";
$phrases{'namePrompt'} = "What should be the name?";
$phrases{'New Account'} = "New Account";
$phrases{'New Sub Account'} = "New Sub Account";
$phrases{'notExist'} = "does not exist.  Create it?";
$phrases{'numbers only'} = "Only numbers are allowed in this field!";
$phrases{'row'} = "row";
$phrases{'Stop checking?'} = "Stop checking?";
$phrases{'taxPrompt'} = "Make this account taxable?";
$phrases{'Taxable'} = "Taxable";
$phrases{'Type'} = "Type";
$phrases{'typePrompt'} = "What should be the type?";
$phrases{'reconciledRow'} = "You are changing a reconciled row!";

#investment short names
$phrases{buy} = "Buy";
$phrases{sell} = "Sell";
$phrases{spof} = "Spin Off";
$phrases{adjs} = "Adjustment";
$phrases{sxfr} = "Stock Transfer";
$phrases{acqs} = "Merger";
$phrases{rtcp} = "Return of Capital";
$phrases{splt} = "Stock Split";
$phrases{memo} = "Memo";

$phrases{AccountConstraints} = "An account name may be used only once except for revenues and expenses which may have two for Taxable and Not Taxable.";
$phrases{accountDoesNotExistInDatabase} = "Account (%s) = %s does not exist in the database!";
$phrases{accountNotActive} = "Account (%s) = %s is not active!";
$phrases{accountNotAnEquityAccount} = "Account (%s) = %s is not an Equity Account!";
$phrases{accountNotAssignedToLedger} = "Account (%s) = %s does not appear to be assigned to ledger = %s!";
$phrases{adjustCost} = "adjust the cost to increase or decrease by";
$phrases{alreadyWatchingStock} = "You are already Watching Stock";
$phrases{appStateCommand} = "App = '%s', State = '%s', Command = '%s'.";
$phrases{appVersion} = "Accounting Version = <font color=\"%s\">%s</font>";
$phrases{avgCostPerShare} = "C/S";
$phrases{basis} = "Accounting Basis";
$phrases{BalanceNoMatch} = "If this does not match your statement correct it first";
$phrases{BalanceShouldMatch} = "When finished this should match your statement ending balance";
$phrases{cannotDeleteAllShort} = "You cannot delete the ALL and SHORT keywords.";
$phrases{cannotEditAllShort} = "You cannot edit the ALL and SHORT keywords.";
$phrases{chooseLeftoverEquityAccount} = "You must choose an account to assign left over cents to!";
$phrases{chooseOneEquityAccount} = "You must choose a single equity account to work with!";
$phrases{chooseStockInfo} = "Choose Stock Information";
$phrases{chooseStocksManually} = "You must choose stocks to manually update price!";
$phrases{ChooseTickersForWatchList} = "You must choose tickers to assign to the Watch List (%s)!";
$phrases{chooseTwoOrMoreEquityAccounts} = "You must choose two or more equity accounts to work with!";
$phrases{closeMessage} = "Press 'OK' if you really want to Close this Application,\\nelse press 'Cancel'.";
$phrases{close_lock} = "Close/Lock books up to this date:";
$phrases{closeNote} = "Note: Income summary is Revenues minus Expenses minus Dividends Declared/Paid.";
$phrases{closeoutDateInvalid} = "Closeout date is invalid!  '%s' must be after '%s'.";
$phrases{closeoutExplain} = "Revenues and Expenses for the year will be rolled into an equity account and set to 0 to start the next year.  Which equity account should be used?";
$phrases{AlreadyExists} = "An entry already exists with this ";
$phrases{codeInUse} = "This code is already used by ";
$phrases{commandNeeded} = "The Command to execute must be specified!";
$phrases{commandNotKnown} = "Command = '%s' is not known!";
$phrases{confirmCloseApp} = "Do you really want to Close this Application?";
$phrases{confirmDeleteSubEntity} = "Do you really want to delete this Sub Entity?";
$phrases{confirmDeleteSubAccount} = "Do you really want to delete this Sub Account?";
$phrases{confirmDeleteWatchList} = "Do you really want to delete this Watch List?";
$phrases{creditsGreaterThanDebits} = "Credits are greater than Debits!";
$phrases{cumulativeDates} = "Choose a date.  All closeout periods on and after this date will be opened.";
$phrases{dateInfo} = "Historical Date Info";
$phrases{debitsGreaterThanCredits} = "Debits are greater than Credits!";
$phrases{DeleteLedger} = "Do you want to Delete Ledger '%s'?";
$phrases{DeletionOfWatchListFailed} = "Deletion of Watch List (%s): failed";
$phrases{DeletionOfWatchListSucceeded} = "Deletion of Watch List (%s): succeeded";
$phrases{DeleteWatchList} = "Delete Watch List (%s)?";
$phrases{displayZeroShares} = "Display Zero Shares";
$phrases{'EndStatementBalanceLong'} = "Enter the ending balance from your statement";
$phrases{enterListOfCommaSeparatedTickers} = "You must enter a list of comma-separated ticker sybmols (without empty entries).";
$phrases{equityAccountsArrayReferenceRequired} = "equityAccounts must be specified as an array reference!";
$phrases{equityNote} = "This is the offsetting equity account for your account balances. Remember this is a double entry accounting system!";
$phrases{errorClosingOutLedger} = "Error occurred closing out ledger = '%s', date = '%s'!";
$phrases{errorCommittingTransaction} = "Error occurred committing transaction to the database!";
$phrases{errorCreatingNextFiscalYear} = "Error occurred creating next fiscal year record (%s), begin date = '%s', end date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForEquityAccount} = "Error creating default balance table entry for equity account = '%s', retained earnings = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForEquitySubAccount} = "Error creating default balance table entry for equity account = '%s', sub-account = '-1', retained earnings = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForLeftoverEquityAccount} = "Error creating default balance table entry for leftover equity account = '%s', leftover amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForLeftoverEquitySubAccount} = "Error creating default balance table entry for leftover equity account = '%s', sub-account = '-1', leftover amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForPartnerEquityAccount} = "Error creating default balance table entry for partner equity account = '%s', partner amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForPartnerEquitySubAccount} = "Error creating default balance table entry for partner equity account = '%s', sub-account = '-1', partner amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForShareholderEquityAccount} = "Error creating default balance table entry for shareholder equity account = '%s', partner amount = '%s', date = '%s'!";
$phrases{errorCreatingRetainedEarningsBalanceForShareholderEquitySubAccount} = "Error creating default balance table entry for shareholder equity account = '%s', sub-account = '-1', partner amount = '%s', date = '%s'!";
$phrases{errorExclam} = "Error!";
$phrases{errorFixingUpDate} = "Error occurred attempting to fixup date = %s";
$phrases{errorGettingLastCloseoutPeriod} = "Error retrieving last closeout period date for ledger = %s.";
$phrases{errorInsertingAccountBalances} = "Error inserting account balances into acct_bal_tb table!";
$phrases{errorInsertingSubAccountBalances} = "Error inserting sub-account balances into acct_bal_tb table!";
$phrases{errorLookingUpBalanceForEquityAccount} = "Error occurred looking up balance for equity account = '%s'!";
$phrases{errorLookingUpBalanceForEquitySubAccount} = "Error occurred looking up balance for equity account = '%s', sub-account = '-1'!";
$phrases{errorLookingUpBalanceForPartnerEquityAccount} = "Error occurred looking up balance for partner equity account = '%s'!";
$phrases{errorLookingUpBalanceForPartnerEquitySubAccount} = "Error occurred looking up balance for partner equity account = '%s', sub-account = '-1', business type = '%s'!";
$phrases{errorLookingUpBalanceForPartnerLeftoverEquityAccount} = "Error occurred looking up balance for partner leftover equity account = '%s'!";
$phrases{errorLookingUpBalanceForShareholderEquityAccount} = "Error occurred looking up balance for shareholder equity account = '%s'!";
$phrases{errorLookingUpBalanceForShareholderEquitySubAccount} = "Error occurred looking up balance for shareholder equity account = '%s', sub-account = '-1', business type = '%s'!";
$phrases{errorLookingUpBalanceForShareholderLeftoverEquityAccount} = "Error occurred looking up balance for shareholder leftover equity account = '%s'!";
$phrases{errorLookingUpBalanceForShareholderLeftoverEquitySubAccount} = "Error occurred looking up balance for shareholder leftover equity account = '%s', sub-account = '-1', business type = '%s'!";
$phrases{errorLookingUpCloseouts} = "Error looking up closeouts for ledger after date = '%s'.";
$phrases{errorLookingUpCurrentFiscalCloseoutDates} = "Error occurred while attempting to lookup the current fiscal year closeout dates.";
$phrases{errorLookingUpCurrentFiscalYearForLedger} = "Error occurred looking up current fiscal year for ledger = '%s'!";
$phrases{errorLookingUpFiscalYearEnd} = "Error occurred looking up the fiscal year end date for fiscal year = '%s'!";
$phrases{errorLookingUpMinimumKnownYear} = "Error occurred looking up the minimum known year for ledger = '%s'!";
$phrases{errorLookingUpNextFiscalYear} = "Error occurred trying to see whether fiscal year = '%s' exists in the known years table or not.";
$phrases{errorLookingUpPreviousCloseoutDate} = "Error occurred while trying to retrieve the last previous closeout date!";
$phrases{errorLookingUpStockWatchListInfo} = "Error occured while attempting to lookup stock watch list information!";
$phrases{errorNoBalancedReturnedForPartnerEquitySubAccount} = "No balance was returned for partner equity account = '%s', sub-account = '-1'!";
$phrases{errorNoBalancedReturnedForLeftoverEquitySubAccount} = "No balance was returned for leftover equity account = '%s', sub-account = '-1'!";
$phrases{errorNoBalancedReturnedForShareholderEquitySubAccount} = "No balance was returned for shareholder equity account = '%s', sub-account = '-1'!";
$phrases{errorObtainingEndDateOffset} = "Error occurred obtaining next fiscal year end date!";
$phrases{errorObtainingNextBeginDateOffset} = "Error occurred obtaining next begin date offset, quarter = '%s'!";
$phrases{errorObtainingQuarterEndOffset} = "Error occurred obtaining quarter end offset, quarter = '%s'!";
$phrases{errorObtainingStartDateOffset} = "Error occurred obtaining next fiscal year start date!";
$phrases{errorOpeningFiscalYears} = "Error occurred marking all years >= '%s' as not being closed!";
$phrases{errorRemovingAccountBalances} = "Error occurred attempting to remove account balances in the working year = '%s'!";
$phrases{errorReOpeningLedger} = "Error occurred reopening ledger = '%s', date = '%s'!";
$phrases{errorRetrievingActivityForDividendsPaid} = "Error retrieving the activity for Dividends Paid accounts!";
$phrases{errorRetrievingActivityForExpenses} = "Error retrieving the activity for Expense accounts!";
$phrases{errorRetrievingActivityForRevenues} = "Error retrieving the activity for Revenue accounts!";
$phrases{errorSummingCredits} = "Error occurred summing credit amounts.";
$phrases{errorSummingDebits} = "Error occurred summing debit amounts.";
$phrases{errorUpdatingClosedFiscalYearRecord} = "Error occurred updating the closed fiscal year record (%s).";
$phrases{errorUpdatingNextFiscalYearQuarter} = "Error updating next fiscal year (%s), quarter = '%s', quarter start = '%s', quarter end = '%s'.";
$phrases{errorUpdatingNextFiscalYearRecord} = "Error occurred updating the next fiscal year record (%s).";
$phrases{errorUpdatingNewWorkingYear} = "Error occurred updating new working year for ledger = '%s', new working year = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForEquityAccount} = "Error updating balance table entry for equity account = '%s', balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForEquitySubAccount} = "Error updating balance table entry for equity account = '%s', sub-account = '-1', balance = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForLeftoverEquityAccount} = "Error updating balance table entry for leftover equity account = '%s', leftover balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForLeftoverEquitySubAccount} = "Error updating balance table entry for leftover equity account = '%s', sub-account = '-1', leftover balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForPartnerEquityAccount} = "Error updating balance table entry for partner equity account = '%s', partner balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForPartnerEquitySubAccount} = "Error updating balance table entry for partner equity account = '%s', sub-account = '-1', partner balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForShareholderEquityAccount} = "Error updating balance table entry for shareholder equity account = '%s', shareholder balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingRetainedEarningsBalanceForShareholderEquitySubAccount} = "Error updating balance table entry for shareholder equity account = '%s', sub-account = '-1', shareholder balance amount = '%s', date = '%s'!";
$phrases{errorUpdatingWorkingYear} = "Error occurred updating the working year for reopening the fiscal period!";
$phrases{firstTimeRun} = "<font color=\"red\">Congratulations!  You have successfully run XIWA.</font> We would really appreciate it if you would let us know that you were able to get it running by clicking <a href=\"http://www.pcxperience.org/xiwa/firstrun.jpg\" target=\"_new\">here</a>.";
$phrases{frameBrowser} = "You must have a frames capable browser!";
$phrases{glcCustomizationTitle} = "Capital Gain/Loss Customization Screen";
$phrases{'Ignoring invalid'} = "Ignoring invalid";
$phrases{inClientMode} = "In Client Mode.\n";
$phrases{initialBalanceUpgrade} = "After data was migrated out of the beginning balance table the default retained earnings account was used as the double entry account.  Also, all books have been re-opened to the earliest dates.  You will need to check the Opening Balances and close the books up to the present time.";
$phrases{inNormalMode} = "In Normal Mode.\n";
$phrases{invalidArgument} = "<b>%s</b> = '%s' is invalid";
$phrases{invalidCreditDate} = "Credit check: beginDate = '%s' or endDate = '%s' is invalid!";
$phrases{invalidDebitDate} = "Debit check: beginDate = '%s' or endDate = '%s' is invalid!";
$phrases{invalidLedger} = "ledger = '%s' is invalid!<br>\n";
$phrases{'is using this sub entity'} = "is using this sub entity";
$phrases{ledgerAlreadyClosed} = "Ledger has already been closed out after Date = '%s'.";
$phrases{manualPriceNeedsToBeSpecified} = "Manual Price entry field empty!  Manual Price value needs to be specified.";
$phrases{missingArgument} = "<b>%s</b> is missing";
$phrases{MOpreviousOver} = "Previous Overpay/Payments";
$phrases{moreWatchedStocksReturned} = "More watched Stocks returned than Stocks are created!";
$phrases{need2assign} = "You may need to assign it to this ledger.";
$phrases{negativeNumberFormatPhrase} = "Negative Number Format";
$phrases{noDates} = "No dates have been closed out yet.  There are none to open in the books.";
$phrases{noEquityAccounts} = "There are no equity accounts available.  Please create and assign some for this ledger.";
$phrases{noInformationReturnedFromFetch} = "No information returned from fetch operation!";
$phrases{noStocksCreated} = "No Stocks created!";
$phrases{noStockInfoReturned} = "No stock information was returned!";
$phrases{noStockInfoSuppliedReturned} = "No stock information was supplied, so no stock information can be returned!";
$phrases{noStocksReturned} = "No stocks were returned from the watched stocks table!";
$phrases{noTickeredStocksCreated} = "No Stocks created with Tickers!";
$phrases{noValidLedger} = "No valid ledgers are currently defined.  Click New to create one.";
$phrases{notEnoughPercentages} = "There should be the same number of percentages as there are equity accounts!";
$phrases{numOfShares} = "Enter the Number of Shares to pull from each lot.";
$phrases{ofCostwill} = "of the cost will be allocated to the new shares.";
$phrases{passwdNeeded} = "passwd must be specifed!";
$phrases{percentageInvalid} = "The percentage (%s) given for Equity Account (%s) is invalid!";
$phrases{pleaseWatchStocks} = "Please be sure to watch some stocks.";
$phrases{PleaseCreateLedger} = "Please Create a Ledger so you can configure Ledger specific options like Sub-Entities, Assigned Accounts, Employees and Assets.";
$phrases{portfolioCustomizationTitle} = "Portfolio Customization Screen";
$phrases{PopUpColorPicker} = "Pop Up Color Picker";
$phrases{reduceCost} = "is reducing the cost for each share by the amount of";
$phrases{SavingStockForWatchListFailed} = "Saving stock (%s) for Watch List (%s): failed";
$phrases{SavingWatchListSucceeded} = "Saving of Watch List (%s): succeeded";
$phrases{selectDate} = "You must select a date!";
$phrases{SelectLots} = "Click to select specific lots for this sale.";
$phrases{'Select Sub Account Type to Manage'} = "Select Sub Account Type to Manage";
$phrases{selectStockToUnWatch} = "You must select a Stock to Un-Watch!";
$phrases{selectStockToWatch} = "You must select a Stock to Watch!";
$phrases{sessionCookieNeeded} = "The Session Cookie must be defined!";
$phrases{sessionNotCreated} = "The Session does not exist but Session Cookie is defined!";
$phrases{sharesForEvery} = "share(s) for every";
$phrases{stateEvalFailed} = "Eval of State = '%s' failed!<br>\nError = '%s'.";
$phrases{stateNeeded} = "The State of the Application must be specified!";
$phrases{stateNotKnown} = "State = '%s' is not known!";
$phrases{stockPriceTitle} = "Stock Price Maintenance";
$phrases{subAccountDuplicate} = "A sub account already exists with this code.  The name is: ";
$phrases{subAccountType50} = "You cannot create system level sub accounts.";
$phrases{subENote} = "Sub Entities are another way to divide up your data.  You could also use them as departments.";
$phrases{SubEntityInUse} = "The Sub Entity you tried to delete is being used in some transactions.  You cannot delete it.";
$phrases{substringMatch} = "Use this field to match a partial string for this field";
$phrases{sumOfEquityAccountPercentagesNot100} = "The sum of all Equity Account Percentages does not equal 100! Total Percentages = %s.";
$phrases{thatYouOwn} = "original share(s) that you own";
$phrases{tickersFailedToLookup} = "These tickers failed to be looked up";
$phrases{unknownBusinessType} = "Unknown Business Type (%s) in ledger = '%s'";
$phrases{UnWatchingAllStocksWhileSavingWatchListFailed} = "unWatchAllStocks while saving Watch List (%s): failed";
$phrases{updateCurrentStockPrice} = "Update Current Stock Price";
$phrases{updateHistoricalStockPrice} = "Update Historical Stock Price";
$phrases{updateManualStockPrice} = "Update Manual Stock Price";
$phrases{UpdateStartInfo} = "Update Start Info";
$phrases{userNotActive} = "User = '%s' is not active!";
$phrases{userNotFound} = "Could not find User = '%s'!";
$phrases{usethis} = "Use this button to quickly mark a range of checks or deposits with 'x'";
$phrases{xiwaConfigInfo} = "To configure Ledgers, Accounts, Sub-Accounts, Stocks, Sub-Entities, etc. use:";
$phrases{FromColon} = "From:";
$phrases{ToColon} = "To:";
$phrases{youWillHaveTotal} = "You will have a total of";


#########help phrases
$phrases{checkHelp} = "<p>Enter checks on this page.  The First field is for Bank Accounts.  If none exist you may create one.</p><p>When there are is only one row changing the check amount will automatically change the row amount also.</p>";
$phrases{creditPurchaseHelp} = "<p>Use this page to enter credit purchases such as those made with a <u>credit card</u>.</p><p><b>Pay To the order of</b> can be used to recall data from other entered transactions.</p>";
$phrases{creditReceiptHelp} = "<p>Use this page to enter accounts recievable transactions.  The Description field can be used to recall data from other entered transactions.</p><p>When there are only two rows changing the first row amount will automatically change the second row amount also.</p>";
$phrases{depositHelp} = "<p>Enter deposits here.  The first field is for Bank Accounts.  If none exist you may create one.</p><p>When there are is only one row changing the deposit amount will automatically change the row amount.</p>";
$phrases{doubleHelp} = "<p>Enter your transaction data on this page.  A double entry transaction must have at least 2 rows.  If you do not understand the difference between debits and credits you should try to use one of the other interfaces such as Check or Deposit.</p><p>When there are only two rows changing the first row amount will automatically change the second row amount also.</p>";
$phrases{editHelp} = "Use this field to edit the last transaction entered or another transaction by inputting the id number.";
$phrases{openingHelp} = "<p>Enter the balances for your accounts on this page.  These are the balances to start your books.  This will include bank accounts, liabilities such as loans or accounts payable, and equity accounts such as common stock.  This transaction will be treated as historical data and will be entered the day before your books start.</p>";
$phrases{otherTips} = "<p><b><u>Other tips:</u></b><br>You can use Alt+Enter as a shortcut to submit this page instead of the Insert button.</p><p>The number fields are calculators.  Use <u>=2 + 2</u> for example to calculate a number.</p><p><u>Edit</u><br>The Edit button will use the Id checkbox to determine whether or not to search for a check/deposit number or the transaction id.  The transaction id is generated automatically by the system when you create a new entry.</p>";
$phrases{reconcileHelp} = "Use the <i>Save</i> button to save your work and come back later.  Use the <i>Finished</i> button to finalize the reconcilation and get a summary printout.  Use the note field below to record anything unusual.";

$phrases{metaHelp_1} = 'Examples of Asset Accounts are cash, bank, investments, property, receivables';
$phrases{metaHelp_2} = 'Examples of Liability Accounts are payables, loans, payroll taxes owed';
$phrases{metaHelp_3} = 'Examples of Equity Accounts are Retained Earnings and Dividends Paid by a corporation';
$phrases{metaHelp_4} = 'Examples of Revenue Accounts are dividends, interest, sales';
$phrases{metaHelp_5} = 'Expense Accounts include income taxes, depreciation, salary and payroll expenses, and others';

$phrases{metaHelp_1_0} = 'Bank Accounts are those at banking institutions that might include checking, money markets, savings, etc.  Cash accounts might include Petty Cash or Cash on Hand.';
$phrases{metaHelp_1_1} = 'Current Assets in this system include inventory, prepaid expenses and other assets that could be converted into cash in less than one year.  Although this also includes investments (like CDs, securities, stocks, and bonds), and accounts receivables there are separate categories in this system for them.';
$phrases{metaHelp_1_2} = 'Fixed Assets are Long Term--those which cannot be quickly converted to cash (sometimes referred to as Property, Plant, and Equipment). Examples: equipment, furniture, real estate';
$phrases{metaHelp_1_3} = 'Investment Accounts will hold marketable securities.  If you have brokerage accounts at banks or brokerage firms create an investment account corresponding to each.  If you hold securities directly in your own name create an account for those also.  You might call it MyStocks.';
$phrases{metaHelp_1_4} = 'Contra Asset accounts are used as part of the depreciation process.  There should be a corresponding Contra Asset Account for each Depreciation Account created.';
$phrases{metaHelp_1_111} = 'Receivable accounts are for monies owed to you by others.  An abbreviation (AR) is often used for this.  Examples: AR, AR Suppliers, AR Clients';
$phrases{metaHelp_1_112} = 'Long Term Liquid Assets might include Certificates of Deposit (CDs), Bonds, and Notes Receivable held by you.  These assets are not intended to be converted into cash within 1 year but could be if it became neccessary.  They are more "liquid" than Fixed Assets even though they are Long Term.';
$phrases{metaHelp_2_5} = 'Current Liability accounts are those expected to be paid within the year.  Often called Accounts Payable, an abbreviation of AP is often used.  There are separate categories for some types in this system.  Use this as the catch all for those that do not fit elsewhere.';
$phrases{metaHelp_2_6} = 'Long Term Liability accounts are those which are not to be paid within the year.  This generally includes loans, bonds, and other long term debt.';
$phrases{metaHelp_2_24} = 'Federal Tax Liability Accounts are for taxes owed to the federal government.  This includes income taxes and withholding from payroll for income taxes.';
$phrases{metaHelp_2_25} = 'State Tax Liability Accounts are for taxes owed to states or provinces.  You might create one for each state/province where you conduct business.  This also includes withholding from payroll.';
$phrases{metaHelp_2_26} = 'FICA (Federal Insurance Contributions Act) taxes are those withheld from income for Social Security taxes.  FICA taxes withheld will go into a payable account to be paid to the government at a later date.';
$phrases{metaHelp_2_27} = 'Medicare taxes withheld will go into a payable account to be paid to the government at a later date.';
$phrases{metaHelp_2_28} = 'Advanced Earned Income Credit (AEIC) is a program started by the government.  If you make payments to employees under this program use this account type to track them.';
$phrases{metaHelp_3_7} = 'Equity Accounts are value of the company attributed to the owner(s).  This includes owner equity and retained earnings--which are are the leftovers from income each year after expenses and dividends are paid.  There is an equation used in double entry accounting that says "Assets less Liabilities equals Equity".';
$phrases{metaHelp_3_17} = 'Corporate Dividends are Paid to the owners/shareholders of the company.  These dividends are not deductible as expenses but are taken directly out of the equity of the company.';
$phrases{metaHelp_4_8} = 'Capital Gain accounts are used to track the profit on sale of assets such as securities, stocks, bonds, property, etc.  There are short term and long term gains which must often be matched up with short and long term losses.';
$phrases{metaHelp_4_9} = 'Other Revenue can be used to track any type of revenue.  Use it for things that do not fit elsewhere.';
$phrases{metaHelp_4_10} = 'Sales Revenue Accounts can include invoice numbers but not sub accounts.';
$phrases{metaHelp_4_11} = 'Dividend Revenue can come from stocks in investment accounts or directly to you.  Create accounts to group the revenue as needed.';
$phrases{metaHelp_4_12} = 'Interest Revenue can come from savings, investment accounts, or directly to you.  Create accounts to group the revenue as needed.';
$phrases{metaHelp_4_45} = 'Operating Revenue is directly related to your core business.';
$phrases{metaHelp_5_13} = 'Other Expense can be used to track any type of expense.  Use it for things that do not fit elsewhere.';
$phrases{metaHelp_5_14} = 'Cost of Good Sold (COGS) Expenses are directly related to sales.  Usually this includes parts and materials for manufactured goods.  It could include payroll if your primary business is consulting.';
$phrases{metaHelp_5_15} = 'Income Tax accounts can be for state or federal taxes.  The federal taxes are generally not deductible expenses but sometimes state taxes are.';
$phrases{metaHelp_5_16} = 'Depreciation and Depletion are non cash expenses used to deal with assets and resources that are not renewable.  Non cash expenses are those which affect the books but do not have transactions associated with them such as checks or deposits from bank accounts.';
$phrases{metaHelp_5_18} = 'Capital Loss accounts are used to track the loss on sales of assets such as securities, stocks, bonds, property, etc.  There are short and long term losses which often must be matched up with short and long term gains.';
$phrases{metaHelp_5_51} = 'Operating Expenses are directly related to your core business.';
$phrases{metaHelp_5_52} = 'Administrative Expenses are for overhead that it takes to run your business but are not directly related to the core business.  This might include office supplies, postage, or electric expenses for the office.  Electric used to manufacture would go into Operating or Cost of Goods Sold.';
$phrases{metaHelp_5_53} = 'Investment Expenses are categorized by the government as not directly related to operations or administrative but relate to the investments held by the company.  This might include brokerage fees, or interest expense on loans used as part of investing practices.';
$phrases{metaHelp_5_55} = 'Salary Expenses are paid to employees.';
$phrases{metaHelp_5_56} = 'FICA Expenses are the social security taxes paid by the company that match the withholding from payroll.';
$phrases{metaHelp_5_57} = 'Medicare Expenses are the taxes paid by the company that match the withholding from payroll.';
$phrases{metaHelp_5_58} = 'Other Payroll Expense accounts can be anything that does not fit elsewhere in payroll accounts.  Examples: Federal Unemployment Taxes';
$phrases{metaHelp_5_59} = 'Interest Expenses are incurred on debt such as loans or credit cards.  You might create an account for each.';

#help phrases based on state and command
$phrases{help_Accounts_display} = 'XIWA uses 3 categories of data:  <b>Accounts</b>, Sub Accounts, and Sub Entities.<p>Use this screen to create, view, and modify accounts.  Clicking the <b>Active</b> Button will show/hide inactive accounts.  Click the <b>Assign</b> button to change account assignments for the current ledger.  It will be disabled if not inside of a ledger.</p><p>All ledgers pull from the same list of accounts.  Re-use accounts such as Interest Rev, Dividend Rev, Utilities Exp, etc.  in multiple ledgers to reduce administration.  Be cautious about re-using accounts that might change names such as Bank or Investment accounts.</p>';
$phrases{'help_Investments::CGL_display'} = 'View the realized gains and losses for Stocks (Securities), Bonds, Assets, etc.  Each will be in a different section.<p><u>Advanced</u><br><b>Stock Grouping</b> allows you to sort and group the data in different ways.  <b>Sort Assets</b> allows for sorting/grouping assets.  You can pick particular stocks from the list of stocks.</p>';
$phrases{'help_Investments::Main_display'} = 'Use the links on this page to enter <b>New Investment Transactions</b> or manage Investment Accounts, Stocks, Bonds, and Assets.  Use the <b>Search</b> form to find information about a particular investment.';
$phrases{'help_Investments::Portfolio_display'} = 'The portfolio is a list of Stocks (Securities) with Purchase Dates, Share Balances, Cost, Market Value, and Unrealized Gains and Losses.';
$phrases{'help_Investments::StockPrices_display'} = "Choose from the <b>Stocks</b> select box to update prices (historical, or manual). &nbsp;If gathering Historical prices, select the Start and End Date values and the Interval. &nbsp;If entering Manual prices, select the Start date and enter a Manual Price value. &nbsp;Then Click Go";
$phrases{'help_Investments::WatchList_display'} = 'Use these links to manage lists of stocks to watch.  The <b>SHORT</b> list is the one that is shown on the <b>Summary Screen</b>.  To include a list in the short list use the Option while editing it.  Use <b>View</b> to view a list.  Click View with <b>ALL</b> or <b>SHORT</b> selected to show all lists or the short lists.';
$phrases{help_JournalEntry_display} = 'Use these links to open the data entry screens: <b>Check</b> for writing checks, <b>Deposit</b> for entering deposits, <b>Credit Purchase</b> for credit card purchases and accounts payable, and <b>Credit Receipt</b> for accounts receivables.';
$phrases{help_Ledger_displayCloseOut} = 'When a period of time is updated, reconciled, and completed in your ledger you can <b>Close</b> or Lock the books so that no entries can be made in that time period.  If you need to make an entry later you can <b>Open</b> the Books again.<p>Please be patient after submitting this screen.  A trial balance will be run to make sure the system is not corrupted.</p><p>As of right now this process also affects the Net Income number on the Balance Sheet.  If a period is not closed out the income will feed over into the next period but when it is closed out it rolls over into an equity account.  The best method to get an accurate number is to run Balance Sheets for the current time period.  (We are looking into changing this behaviour).</p>';
$phrases{help_Ledger_displayReOpen} = 'If you need to make a change to a previous period that has been closed you may choose one and re-open it.  All periods after it will also be opened.  Remember to close the books again when you are finished.';
$phrases{help_Main_display} = 'XIWA allows you to have multiple sets of books called "Ledgers".  The ledgers can share Accounts, Sub Accounts, and Stocks to reduce the administrative burden of recreating those things over and over.  You can open a ledger more than once in separate windows.  Multiple users can open the same ledgers at the same time.';
$phrases{help_Main_new} = '<p><b>Name</b> the Ledger something descriptive.  Use a short <b>Code</b> with no spaces or punctuation.  The <b>Color</b> will be used to help draw your attention to which ledger you are working in.  Use different colors for each ledger. </p><p>The <b>Basis</b> and <b>Business Type</b> will be used to determine the method for a few tasks in the system.  If you are on a <b>Cash</b> Basis it means that you consider revenue earned only when it is deposited into your accounts.  The <b>Accrual</b> Basis considers revenue earned when you earn it.  For example, If you received a check on Dec. 31 but you deposited it on Jan 1, the cash basis would claim the revenue on Jan 1 but the accrual basis would claim the revenue earned on Dec 31.</p><p>The <b>Fiscal Year</b> of your ledger does not have to be the same as a calandar year (Jan 1 to Dec 31).   If it is different fill in the year, month, and day when your <b>Fiscal Year</b> begins.  Use the Update button to calculate the beginning of each month.  <i>Check each month manually!!!</i>  Do not assume that the button can calculate YOUR exact dates.</p>';
$phrases{help_Payroll_display} = 'Use these links to manage the list of <b>Employees</b>, payroll tasks, and Payroll Reports such as the Federal and State 941 reports. ';
$phrases{help_Register_display} = 'To reconcile an account (such as a Bank Account with a Bank Statement) or to get a simple view of the transactions in one account use the Register.  This will look something like your home check register.<p>Choose an Account from the <b>All Accounts</b> list and set the dates.  The most commonly reconciled accounts will be remembered with dates for faster data entry.</p>';
$phrases{'help_Reports::Detailed_display'} = 'Transaction Reports will show show you the detail of transactions in the system.  You must enter criteria to search for specific transactions.  Ex.  If you wanted "all transactions after Jan 1st of this year" you would choose <b>Field</b> as <u>Date</u>, <b>Operator</b> as <u>&gt;</u>, <b>Value</b> as <u>200X-1-1</u><p>You may use the "%" character as a wildcard when using the LIKE operator.</p>';
$phrases{'help_Reports::Editor_display'} = 'From here you can Create your own custom reports.  It might be easiest if you copy one of the system reports first and then edit the copy.<p>System reports are marked with a (*).  The number after the report name is the report id.';
$phrases{'help_Reports::Main_display'} = 'The detailed <b>Transaction Reports</b> as well as shortcuts to common <b>General Ledger Reports</b> are accessible from this page.  <p>The two forms list all of the system and the user defined reports.  By default reports will open in new windows.  If you desire that a report opens in the current window, uncheck the <b>New Window</b> option.</p>  Create your own <b>Custom Reports</b> with the <b>Report Editor</b>.';
$phrases{help_SubAccounts_display} = 'All transactions for a given account can be divided into <b>Sub Accounts</b>.  By default all <b>Accounts</b> use the <b><i>OTHER</i> Sub Account</b>.  If necessary, more Sub Accounts can be created.  <p><u>Ex</u>.  Your electric expenses includes a house and a guest house.  Both are billed by the same electric company so you cannot differentiate by Payee when running reports.  1) You could create two expense accounts such as House Electric Exp and GuestHouse Electric Exp or 2) You use Sub Accounts for the House and Guest House under the Electric Expense account.</p>  Some Sub Account Types are linked to certain account types and may not always be available during data entry.';
$phrases{help_SubEntities_display} = '<b>Sub Entities</b> are like classes or Departments whereby you can segregate your data futher than <b>Accounts</b>, and <b>Sub Accounts</b>.  The same Revenue or Expense account might be used by multiple Sub Entities.';

# new
# instantiates an instance of the English Language Phrases.
sub new
{
  my $class = shift;
  my $self = $class->SUPER::new(@_);
  my %args = (  @_ );

  if ($self->error)
  {
    $self->prefixError();
    return $self;
  }

  $self->{phrases} = { %phrases };
  $self->{encoding} = "iso-8859-1";

  # do validation
  if (!$self->isValid)
  {
    return $self;
  }

  return $self;
}

1;
__END__

=head1 NAME

en - Object used to build a English Object Class.

=head1 SYNOPSIS

  use Portal::Language::en;
  my $obj = Portal::Language::en->new;
  if ($obj->error)
  {
    die $obj->errorMessage();
  }

=head1 DESCRIPTION

en is a English class.

=head1 Exported FUNCTIONS

  scalar new(void)
    Creates a new instance of the Portal::Language::en
    object.

=head1 Exported VARIABLES

  hash   phrases  - converted phrases
  scalar encoding - content type encoding for document.

  NOTE:  All data fields are accessible by specifying the object
         and pointing to the data member to be modified on the
         left-hand side of the assignment.
         Ex.  $obj->variable($newValue); or $value = $obj->variable;

=head1 AUTHOR

PC & Web Xperience, Inc. (mailto:admin@pcxperience.com)

=head1 SEE ALSO

perl(1), Portal(3), Portal::Accounting(3), Portal::LanguageBase(3)

=cut
